CricketDrawParser Class Referencefinal

the main class to read a CricketDraw v0,v1 file More...

`#include <CricketDrawParser.hxx>`

Inheritance diagram for CricketDrawParser:

## Public Member Functions

| CricketDrawParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~CricketDrawParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGDrawingInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWGraphicParser
| ~MWAWGraphicParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions

void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document
bool | createZones ()
| finds the different objects zones
bool | readShape ()
| try to read a shape
bool | sendAll ()
| try to send the different zones
bool | send (CricketDrawParserInternal::Shape const &shape, MWAWTransformation const &transform)
| try to send a shape
bool | sendBitmap (CricketDrawParserInternal::Shape const &bitmap, MWAWTransformation const &transform)
| try to send a bitmap shape
bool | sendText (int zoneId)
| try to send a text zone to the listener
bool | readPrintInfo ()
| try to read the print info zone
Protected Member Functions inherited from MWAWGraphicParser
| MWAWGraphicParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWGraphicParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes

std::shared_ptr< CricketDrawParserInternal::State > | m_state
| the state

## Friends

class | CricketDrawParserInternal::SubDocument

## Detailed Description

the main class to read a CricketDraw v0,v1 file

## Constructor & Destructor Documentation

## CricketDrawParser()

CricketDrawParser::CricketDrawParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ~CricketDrawParser()

CricketDrawParser::~CricketDrawParser | ( |  | ) |

final

destructor

## Member Function Documentation

## checkHeader()

bool CricketDrawParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )

final virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by CricketDrawParserInternal::SubDocument, and parse().

## createDocument()

void CricketDrawParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |

protected

creates the listener which will be associated to the document

Referenced by CricketDrawParserInternal::SubDocument, and parse().

## createZones()

bool CricketDrawParser::createZones | ( |  | ) |

protected

finds the different objects zones

Referenced by CricketDrawParserInternal::SubDocument, and parse().

## parse()

void CricketDrawParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |

final virtual

virtual function used to parse the input

Implements MWAWGraphicParser.

Referenced by CricketDrawParserInternal::SubDocument.

## readPrintInfo()

bool CricketDrawParser::readPrintInfo | ( |  | ) |

protected

try to read the print info zone

Referenced by checkHeader(), createZones(), and CricketDrawParserInternal::SubDocument.

## readShape()

bool CricketDrawParser::readShape | ( |  | ) |

protected

try to read a shape

Referenced by createZones(), and CricketDrawParserInternal::SubDocument.

## send()

bool CricketDrawParser::send | ( | CricketDrawParserInternal::Shape const & | shape,
|  | MWAWTransformation const & | transform )

protected

try to send a shape

Referenced by CricketDrawParserInternal::SubDocument, and sendAll().

## sendAll()

bool CricketDrawParser::sendAll | ( |  | ) |

protected

try to send the different zones

Referenced by CricketDrawParserInternal::SubDocument, and parse().

## sendBitmap()

bool CricketDrawParser::sendBitmap | ( | CricketDrawParserInternal::Shape const & | bitmap,
|  | MWAWTransformation const & | transform )

protected

try to send a bitmap shape

Referenced by CricketDrawParserInternal::SubDocument, and send().

## sendText()

bool CricketDrawParser::sendText | ( | int | zoneId | ) |

protected

try to send a text zone to the listener

Referenced by CricketDrawParserInternal::SubDocument.

## Friends And Related Symbol Documentation

## CricketDrawParserInternal::SubDocument

friend class CricketDrawParserInternal::SubDocument

friend

## Member Data Documentation

## m_state

std::shared_ptr<CricketDrawParserInternal::State> CricketDrawParser::m_state

protected

the state

Referenced by checkHeader(), CricketDrawParser(), readShape(), send(), sendAll(), sendBitmap(), and sendText().

The documentation for this class was generated from the following files:

- CricketDrawParser.hxx
- CricketDrawParser.cxx